<template>
<div class="get-report">
    <h1>{{ msg }}</h1>

    <p></p>
    <label>Start date:  </label>
    <input type="date" class="form-control" v-model="startDate">
    
    <p></p>
    <label>End date:  </label>
    <input type="date" class="form-control" v-model="endDate">
    
    <p></p>
    <button @click="getReport(startDate, endDate)">Submit</button>
</div>
</template>


<script>
import axios from 'axios';


export default {
    name: 'getReport',
    data() {
      return {
        report: null,
        status: 'loading', // loaded, errored
      }
    },
    props: {
    msg: String
  },
  async mounted() {
    
  },
  methods: {

    async getReport(startDate, endDate) {
      try {
        let reportUrl = "http://localhost:10001/WCFB/report?StartDate=" + startDate + "&EndDate=" + endDate;

        console.log(reportUrl);
        let response = await axios.get(reportUrl);
        this.report = response.data;
        this.status = 'loaded';
        this.downloadCSVfile(this.report);
        
      } catch (error) {
        console.error(error);
        this.status = 'errored';
      }
    },

    downloadCSVfile(data){
      var csvFile;  
      var downloadLink;  
      
      csvFile = new Blob([data], {type: 'text/csv'});  
      downloadLink = document.createElement("a");  
      downloadLink.download = "WCFB_report.csv";  
      downloadLink.href = window.URL.createObjectURL(csvFile);  
      downloadLink.style.display = "none";  
    
      document.body.appendChild(downloadLink);  
      downloadLink.click(); 
    }
    
  }

}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>